/* Distributed under the terms of GPLv3 or later. See COPYING for details. */

/*! \file magma_calls.h
 *
 * \brief C++ interface to MAGMA calls.
 *
 */

#ifndef INCLUDE_MAGMA_CALLS_H_
#define INCLUDE_MAGMA_CALLS_H_

/*! \brief Invert a complex matrix with double precision elements.
 *
 * Use LAPACKE64 to perform an in-place matrix inversion for a complex
 * matrix with double precision elements.
 *
 * \param mat: Matrix of complex. The matrix to be inverted.
 * \param n: `np_int` The number of rows and columns of the [n x n] matrix.
 * \param jer: `int &` Reference to an integer return flag.
 */
void magma_zinvert(dcomplex **mat, np_int n, int &jer);

#endif
